# Uses of Class
org.apache.lucene.index.KnnVectorValues.DocIndexIterator

Packages that use KnnVectorValues.DocIndexIterator
Package
Description
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.codecs.lucene95
Lucene 9.5 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of KnnVectorValues.DocIndexIterator in org.apache.lucene.codecs.lucene90

  Methods in org.apache.lucene.codecs.lucene90 that return KnnVectorValues.DocIndexIterator
  Modifier and Type
  Method
  Description
  `static KnnVectorValues.DocIndexIterator`
  IndexedDISI.`asDocIndexIterator(IndexedDISI disi)`
  Returns an iterator that delegates to the IndexedDISI.

- ## Uses of KnnVectorValues.DocIndexIterator in org.apache.lucene.codecs.lucene95

  Methods in org.apache.lucene.codecs.lucene95 that return KnnVectorValues.DocIndexIterator
  Modifier and Type
  Method
  Description
  `KnnVectorValues.DocIndexIterator`
  OffHeapByteVectorValues.DenseOffHeapVectorValues.`iterator()`
  `KnnVectorValues.DocIndexIterator`
  OffHeapFloatVectorValues.DenseOffHeapVectorValues.`iterator()`

- ## Uses of KnnVectorValues.DocIndexIterator in org.apache.lucene.codecs.lucene99

  Methods in org.apache.lucene.codecs.lucene99 that return KnnVectorValues.DocIndexIterator
  Modifier and Type
  Method
  Description
  `KnnVectorValues.DocIndexIterator`
  OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues.`iterator()`

- ## Uses of KnnVectorValues.DocIndexIterator in org.apache.lucene.index

  Subclasses of KnnVectorValues.DocIndexIterator in org.apache.lucene.index
  Modifier and Type
  Class
  Description
  `static class`
  `SortingCodecReader.SortingValuesIterator`
  Iterator over KnnVectorValues accepting a mapping to differently-sorted docs.
  Methods in org.apache.lucene.index that return KnnVectorValues.DocIndexIterator
  Modifier and Type
  Method
  Description
  `protected KnnVectorValues.DocIndexIterator`
  KnnVectorValues.`createDenseIterator()`
  Creates an iterator for instances where every doc has a value, and the value ordinals are equal to the docids.
  `protected KnnVectorValues.DocIndexIterator`
  KnnVectorValues.`createSparseIterator()`
  Creates an iterator from this instance's ordinal-to-docid mapping which must be monotonic (docid increases when ordinal does).
  `protected static KnnVectorValues.DocIndexIterator`
  KnnVectorValues.`fromDISI(DocIdSetIterator docsWithField)`
  Creates an iterator from a DocIdSetIterator indicating which docs have values, and for which ordinals increase monotonically with docid.
  `KnnVectorValues.DocIndexIterator`
  KnnVectorValues.`iterator()`
  Create an iterator for this instance.